Bug 8271 - teach SIPServer to set its own lib path
Summary: teach SIPServer to set its own lib path
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-19 10:22 UTC by Colin Campbell
Modified: 2013-12-05 20:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (1.98 KB, patch)
2012-06-19 10:33 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 8271 teach SIPServer.pm to set its own lib path (2.04 KB, patch)
2012-06-30 07:56 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2012-06-19 10:22:21 UTC
The SIPserver uses a libpath different from the rest of Koha its passed in the upscript using -I. having cd'd to the C4/SIP directory.

Perl has a perfectly good way to manage this rather than relying on -I being set correctly in a calling script. Using it may remove a barrier to setting up and debugging sip configurations.
Comment 1 Colin Campbell 2012-06-19 10:33:57 UTC Comment hidden (obsolete)
Comment 2 Colin Campbell 2012-06-29 18:28:38 UTC
Corrected status of this
Comment 3 Chris Cormack 2012-06-30 07:56:26 UTC
Created attachment 10573 [details] [review]
Bug 8271 teach SIPServer.pm to set its own lib path

SIPServer.pm requires that C4/SIP is added to its lib
path This has been done by passing this directory
to it via -I. By using FindBin it can set the path
for itself correctly. This will also work if the C4/SIP
directory tree is moved to a non-standard location
Removed the now redundant -I. from sip_run.sh

Added a variable to sip_run.sh for the koha tree to
highlight a problem with the script if you have multiple
directories in the PERL5LIB environment variable

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 4 Paul Poulain 2012-07-06 16:25:56 UTC
QA comment: small change, passes QA without any problem
Comment 5 Paul Poulain 2012-07-06 16:29:21 UTC
I haven't tested this patch, but I trust Colin enough to push it

(chris_c, not sure it should be ported to 3.8, but maybe)
Comment 6 Jared Camins-Esakov 2012-12-31 01:18:40 UTC
There have been no further reports of problems so I am marking this bug resolved.